Subject: bug#15830: closed (Re: bug#15830: 24.3.50; `current-active-maps' misses bindings (?))

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 08 Nov 2013 01:25:02 +0000

Your bug report

#15830: 24.3.50; `current-active-maps' misses bindings (?)

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
15830: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=15830
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#15830: 24.3.50; `current-active-maps' misses bindings (?)
From: Stefan Monnier <[email-masked]>
To: Drew Adams <[email-masked]>
Cc: [email-masked]
Date: Thu, 07 Nov 2013 20:24:19 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

> Search for `foo' in *Pp Eval Output*.  It's not there.  Shouldn't it be?

No, it shouldn't be, because it's in the symbol-function slot of
the symbol `esc-map'.

        Stefan

Subject: 24.3.50; `current-active-maps' misses bindings (?)
From: Drew Adams <[email-masked]>
To: [email-masked]
Date: Thu, 7 Nov 2013 12:43:07 -0800 (PST)
List-Id: <debbugs-submit.debbugs.gnu.org>

emacs -Q

(defun foo () (interactive) (message "FOOOOOOOOOOOO"))
(global-set-key [(control meta shift ?u)] 'foo)
(current-active-maps t)

Evaluate all of those, the last one, at least, using `pp-eval-last-sexp'.

C-h f foo RET shows that `foo' is bound to `C-M-S-u' (aka `C-M-U').

Search for `foo' in *Pp Eval Output*.  It's not there.  Shouldn't it be?

The doc for `current-active-maps' leads me to believe that `foo's
binding should be included.  Am I missing something, or is this a bug?

Same thing for `(current-active-maps)', i.e., without any arg.

If I am misunderstanding, what is a way to get all of the currently
active bindings, i.e., what I have been expecting from
`current-active-maps'?

In GNU Emacs 24.3.50.1 (i686-pc-mingw32)
 of 2013-10-19 on LEG570
Bzr revision: 114715 [email-masked]
Windowing system distributor `Microsoft Corp.', version 6.1.7601
Configured using:
 `configure --enable-checking 'CFLAGS=-O0 -g3' CPPFLAGS=-DGLYPH_DEBUG=1'